<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Variant (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Variant (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Variant.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/UnsupportedVariantTypeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/VariantBool.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Variant.html" target="_top">Frames</a></li>
        <li><a href="Variant.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class Variant" class="title">Class Variant</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.Variant</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../org/apache/poi/hpsf/VariantSupport.html"
                           title="class in org.apache.poi.hpsf">VariantSupport</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Variant</span>
extends java.lang.Object</pre>
                <div class="block">The <code>Variant</code> types as defined by Microsoft's COM.

                    In the variant types descriptions the following shortcuts are used:
                    <ul>
                        <li>[V] - may appear in a VARIANT
                        <li>[T] - may appear in a TYPEDESC
                        <li>[P] - may appear in an OLE property set
                        <li>[S] - may appear in a Safe Array
                    </ul>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_0">LENGTH_0</a></span></code>
                                    <div class="block">Denotes a variant type with a length of 0 bytes.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_2">LENGTH_2</a></span></code>
                                    <div class="block">Denotes a variant type with a length of 2 bytes.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_4">LENGTH_4</a></span></code>
                                    <div class="block">Denotes a variant type with a length of 4 bytes.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_8">LENGTH_8</a></span></code>
                                    <div class="block">Denotes a variant type with a length of 8 bytes.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_UNKNOWN">LENGTH_UNKNOWN</a></span></code>
                                    <div class="block">Denotes a variant type with a length that is unknown to HPSF
                                        yet.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#LENGTH_VARIABLE">LENGTH_VARIABLE</a></span></code>
                                    <div class="block">Denotes a variant type with a variable length.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_ARRAY">VT_ARRAY</a></span></code>
                                    <div class="block">[V] SAFEARRAY*.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_BLOB">VT_BLOB</a></span></code>
                                    <div class="block">[P] Length prefixed bytes.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_BLOB_OBJECT">VT_BLOB_OBJECT</a></span></code>
                                    <div class="block">[P] Blob contains an object.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_BOOL">VT_BOOL</a></span></code>
                                    <div class="block">[V][T][P][S] True=-1, False=0.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_BSTR">VT_BSTR</a></span></code>
                                    <div class="block">[V][T][P][S] OLE Automation string.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_BYREF">VT_BYREF</a></span></code>
                                    <div class="block">[V] void* for local use.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CARRAY">VT_CARRAY</a></span></code>
                                    <div class="block">[T] C style array.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF">VT_CF</a></span></code>
                                    <div class="block">[P] Clipboard format.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CLSID">VT_CLSID</a></span></code>
                                    <div class="block">[P] A Class ID.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CY">VT_CY</a></span></code>
                                    <div class="block">[V][T][P][S] currency.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_DATE">VT_DATE</a></span></code>
                                    <div class="block">[V][T][P][S] date.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_DECIMAL">VT_DECIMAL</a></span></code>
                                    <div class="block">[V][T][S] 16 byte fixed point.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_DISPATCH">VT_DISPATCH</a></span></code>
                                    <div class="block">[V][T][P][S] IDispatch</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_EMPTY">VT_EMPTY</a></span></code>
                                    <div class="block">[V][P] Nothing, i.e.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_ERROR">VT_ERROR</a></span></code>
                                    <div class="block">[V][T][S] SCODE</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_FILETIME">VT_FILETIME</a></span></code>
                                    <div class="block">[P] FILETIME.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_HRESULT">VT_HRESULT</a></span></code>
                                    <div class="block">[T] Standard return type.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_I1">VT_I1</a></span></code>
                                    <div class="block">[T] signed char.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_I2">VT_I2</a></span></code>
                                    <div class="block">[V][T][P][S] 2 byte signed int.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_I4">VT_I4</a></span></code>
                                    <div class="block">[V][T][P][S] 4 byte signed int.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_I8">VT_I8</a></span></code>
                                    <div class="block">[T][P] signed 64-bit int.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_ILLEGAL">VT_ILLEGAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_ILLEGALMASKED">VT_ILLEGALMASKED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_INT">VT_INT</a></span></code>
                                    <div class="block">[T] signed machine int.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_LPSTR">VT_LPSTR</a></span></code>
                                    <div class="block">[T][P] null terminated string.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_LPWSTR">VT_LPWSTR</a></span></code>
                                    <div class="block">[T][P] wide (Unicode) null terminated string.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_NULL">VT_NULL</a></span></code>
                                    <div class="block">[V][P] SQL style Null.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_PTR">VT_PTR</a></span></code>
                                    <div class="block">[T] pointer type.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_R4">VT_R4</a></span></code>
                                    <div class="block">[V][T][P][S] 4 byte real.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_R8">VT_R8</a></span></code>
                                    <div class="block">[V][T][P][S] 8 byte real.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_RESERVED">VT_RESERVED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_SAFEARRAY">VT_SAFEARRAY</a></span></code>
                                    <div class="block">[T] (use VT_ARRAY in VARIANT).</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_STORAGE">VT_STORAGE</a></span></code>
                                    <div class="block">[P] Name of the storage follows.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_STORED_OBJECT">VT_STORED_OBJECT</a></span></code>
                                    <div class="block">[P] Storage contains an object.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_STREAM">VT_STREAM</a></span></code>
                                    <div class="block">[P] Name of the stream follows.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_STREAMED_OBJECT">VT_STREAMED_OBJECT</a></span></code>
                                    <div class="block">[P] Stream contains an object.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_TYPEMASK">VT_TYPEMASK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UI1">VT_UI1</a></span></code>
                                    <div class="block">[V][T][P][S] unsigned char.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UI2">VT_UI2</a></span></code>
                                    <div class="block">[T][P] unsigned short.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UI4">VT_UI4</a></span></code>
                                    <div class="block">[T][P] unsigned int.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UI8">VT_UI8</a></span></code>
                                    <div class="block">[T][P] unsigned 64-bit int.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UINT">VT_UINT</a></span></code>
                                    <div class="block">[T] unsigned machine int.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_UNKNOWN">VT_UNKNOWN</a></span></code>
                                    <div class="block">[V][T][S] IUnknown</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_USERDEFINED">VT_USERDEFINED</a></span></code>
                                    <div class="block">[T] user defined type.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_VARIANT">VT_VARIANT</a></span></code>
                                    <div class="block">[V][T][P][S] VARIANT</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_VECTOR">VT_VECTOR</a></span></code>
                                    <div class="block">[P] simple counted array.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_VERSIONED_STREAM">VT_VERSIONED_STREAM</a></span></code>
                                    <div class="block">"MUST be a VersionedStream.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_VOID">VT_VOID</a></span></code>
                                    <div class="block">[T] C style void.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#Variant--">Variant</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#getVariantLength-long-">getVariantLength</a></span>(long&nbsp;variantType)</code>
                                    <div class="block">Returns a variant type's length.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#getVariantName-long-">getVariantName</a></span>(long&nbsp;variantType)</code>
                                    <div class="block">Returns the variant type name associated with a variant type
                                        number.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="VT_EMPTY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_EMPTY</h4>
                                <pre>public static final&nbsp;int VT_EMPTY</pre>
                                <div class="block">[V][P] Nothing, i.e. not a single byte of data.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_EMPTY">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_NULL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_NULL</h4>
                                <pre>public static final&nbsp;int VT_NULL</pre>
                                <div class="block">[V][P] SQL style Null.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_NULL">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_I2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_I2</h4>
                                <pre>public static final&nbsp;int VT_I2</pre>
                                <div class="block">[V][T][P][S] 2 byte signed int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_I2">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_I4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_I4</h4>
                                <pre>public static final&nbsp;int VT_I4</pre>
                                <div class="block">[V][T][P][S] 4 byte signed int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_I4">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_R4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_R4</h4>
                                <pre>public static final&nbsp;int VT_R4</pre>
                                <div class="block">[V][T][P][S] 4 byte real.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_R4">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_R8">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_R8</h4>
                                <pre>public static final&nbsp;int VT_R8</pre>
                                <div class="block">[V][T][P][S] 8 byte real.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_R8">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_CY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_CY</h4>
                                <pre>public static final&nbsp;int VT_CY</pre>
                                <div class="block">[V][T][P][S] currency.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_CY">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_DATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_DATE</h4>
                                <pre>public static final&nbsp;int VT_DATE</pre>
                                <div class="block">[V][T][P][S] date.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_DATE">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_BSTR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_BSTR</h4>
                                <pre>public static final&nbsp;int VT_BSTR</pre>
                                <div class="block">[V][T][P][S] OLE Automation string.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_BSTR">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_DISPATCH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_DISPATCH</h4>
                                <pre>public static final&nbsp;int VT_DISPATCH</pre>
                                <div class="block">[V][T][P][S] IDispatch</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_DISPATCH">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_ERROR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_ERROR</h4>
                                <pre>public static final&nbsp;int VT_ERROR</pre>
                                <div class="block">[V][T][S] SCODE</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_ERROR">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_BOOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_BOOL</h4>
                                <pre>public static final&nbsp;int VT_BOOL</pre>
                                <div class="block">[V][T][P][S] True=-1, False=0.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_BOOL">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_VARIANT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_VARIANT</h4>
                                <pre>public static final&nbsp;int VT_VARIANT</pre>
                                <div class="block">[V][T][P][S] VARIANT</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_VARIANT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UNKNOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UNKNOWN</h4>
                                <pre>public static final&nbsp;int VT_UNKNOWN</pre>
                                <div class="block">[V][T][S] IUnknown</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UNKNOWN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_DECIMAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_DECIMAL</h4>
                                <pre>public static final&nbsp;int VT_DECIMAL</pre>
                                <div class="block">[V][T][S] 16 byte fixed point.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_DECIMAL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_I1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_I1</h4>
                                <pre>public static final&nbsp;int VT_I1</pre>
                                <div class="block">[T] signed char.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_I1">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UI1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UI1</h4>
                                <pre>public static final&nbsp;int VT_UI1</pre>
                                <div class="block">[V][T][P][S] unsigned char.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UI1">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UI2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UI2</h4>
                                <pre>public static final&nbsp;int VT_UI2</pre>
                                <div class="block">[T][P] unsigned short.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UI2">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UI4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UI4</h4>
                                <pre>public static final&nbsp;int VT_UI4</pre>
                                <div class="block">[T][P] unsigned int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UI4">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_I8">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_I8</h4>
                                <pre>public static final&nbsp;int VT_I8</pre>
                                <div class="block">[T][P] signed 64-bit int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_I8">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UI8">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UI8</h4>
                                <pre>public static final&nbsp;int VT_UI8</pre>
                                <div class="block">[T][P] unsigned 64-bit int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UI8">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_INT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_INT</h4>
                                <pre>public static final&nbsp;int VT_INT</pre>
                                <div class="block">[T] signed machine int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_INT">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_UINT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_UINT</h4>
                                <pre>public static final&nbsp;int VT_UINT</pre>
                                <div class="block">[T] unsigned machine int.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_UINT">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_VOID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_VOID</h4>
                                <pre>public static final&nbsp;int VT_VOID</pre>
                                <div class="block">[T] C style void.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_VOID">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_HRESULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_HRESULT</h4>
                                <pre>public static final&nbsp;int VT_HRESULT</pre>
                                <div class="block">[T] Standard return type.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_HRESULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_PTR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_PTR</h4>
                                <pre>public static final&nbsp;int VT_PTR</pre>
                                <div class="block">[T] pointer type.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_PTR">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_SAFEARRAY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_SAFEARRAY</h4>
                                <pre>public static final&nbsp;int VT_SAFEARRAY</pre>
                                <div class="block">[T] (use VT_ARRAY in VARIANT).</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_SAFEARRAY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_CARRAY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_CARRAY</h4>
                                <pre>public static final&nbsp;int VT_CARRAY</pre>
                                <div class="block">[T] C style array. <span style="background-color:
 #ffff00">How long is this? How is it to be
 interpreted?</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_CARRAY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_USERDEFINED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_USERDEFINED</h4>
                                <pre>public static final&nbsp;int VT_USERDEFINED</pre>
                                <div class="block">[T] user defined type.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_USERDEFINED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_LPSTR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_LPSTR</h4>
                                <pre>public static final&nbsp;int VT_LPSTR</pre>
                                <div class="block">[T][P] null terminated string.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_LPSTR">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_LPWSTR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_LPWSTR</h4>
                                <pre>public static final&nbsp;int VT_LPWSTR</pre>
                                <div class="block">[T][P] wide (Unicode) null terminated string.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_LPWSTR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_FILETIME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_FILETIME</h4>
                                <pre>public static final&nbsp;int VT_FILETIME</pre>
                                <div class="block">[P] FILETIME. The FILETIME structure holds a date and time
                                    associated with a file. The structure identifies a 64-bit
                                    integer specifying the number of 100-nanosecond intervals which
                                    have passed since January 1, 1601. This 64-bit value is split
                                    into the two dwords stored in the structure.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_FILETIME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_BLOB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_BLOB</h4>
                                <pre>public static final&nbsp;int VT_BLOB</pre>
                                <div class="block">[P] Length prefixed bytes.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_BLOB">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_STREAM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_STREAM</h4>
                                <pre>public static final&nbsp;int VT_STREAM</pre>
                                <div class="block">[P] Name of the stream follows.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_STREAM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_STORAGE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_STORAGE</h4>
                                <pre>public static final&nbsp;int VT_STORAGE</pre>
                                <div class="block">[P] Name of the storage follows.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_STORAGE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_STREAMED_OBJECT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_STREAMED_OBJECT</h4>
                                <pre>public static final&nbsp;int VT_STREAMED_OBJECT</pre>
                                <div class="block">[P] Stream contains an object.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_STREAMED_OBJECT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_STORED_OBJECT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_STORED_OBJECT</h4>
                                <pre>public static final&nbsp;int VT_STORED_OBJECT</pre>
                                <div class="block">[P] Storage contains an object.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_STORED_OBJECT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_BLOB_OBJECT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_BLOB_OBJECT</h4>
                                <pre>public static final&nbsp;int VT_BLOB_OBJECT</pre>
                                <div class="block">[P] Blob contains an object.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_BLOB_OBJECT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_CF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_CF</h4>
                                <pre>public static final&nbsp;int VT_CF</pre>
                                <div class="block">[P] Clipboard format.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_CF">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_CLSID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_CLSID</h4>
                                <pre>public static final&nbsp;int VT_CLSID</pre>
                                <div class="block">[P] A Class ID.<p>

                                    It consists of a 32 bit unsigned integer indicating the size
                                    of the structure, a 32 bit signed integer indicating (Clipboard
                                    Format Tag) indicating the type of data that it contains, and
                                    then a byte array containing the data.
                                    <p>

                                        The valid Clipboard Format Tags are:

                                    <ul>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>Thumbnail.CFTAG_WINDOWS</code></a>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_MACINTOSH"><code>Thumbnail.CFTAG_MACINTOSH</code></a>
                                        <li><a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_NODATA"><code>Thumbnail.CFTAG_NODATA</code></a>
                                        <li><a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_FMTID"><code>Thumbnail.CFTAG_FMTID</code></a>
                                    </ul>

                                    <pre><code>
 typedef struct tagCLIPDATA {
 // cbSize is the size of the buffer pointed to
 // by pClipData, plus sizeof(ulClipFmt)
 ULONG              cbSize;
 long               ulClipFmt;
 BYTE*              pClipData;
 } CLIPDATA;</code></pre>
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="https://msdn.microsoft.com/en-us/library/windows/desktop/aa380072(v=vs.85).aspx">PROPVARIANT
                                            structure</a>,
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_CLSID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_VERSIONED_STREAM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_VERSIONED_STREAM</h4>
                                <pre>public static final&nbsp;int VT_VERSIONED_STREAM</pre>
                                <div class="block">"MUST be a VersionedStream. The storage representing the (non-simple)
                                    property set MUST have a stream element with the name in the StreamName
                                    field." -- [MS-OLEPS] -- v20110920; Object Linking and Embedding (OLE)
                                    Property Set Data Structures; page 24 / 63
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_VERSIONED_STREAM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_VECTOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_VECTOR</h4>
                                <pre>public static final&nbsp;int VT_VECTOR</pre>
                                <div class="block">[P] simple counted array. <span style="background-color:
 #ffff00">How long is this? How is it to be
 interpreted?</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_VECTOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_ARRAY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_ARRAY</h4>
                                <pre>public static final&nbsp;int VT_ARRAY</pre>
                                <div class="block">[V] SAFEARRAY*. <span style="background-color: #ffff00">How
 long is this? How is it to be interpreted?</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_ARRAY">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_BYREF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_BYREF</h4>
                                <pre>public static final&nbsp;int VT_BYREF</pre>
                                <div class="block">[V] void* for local use. <span style="background-color:
 #ffff00">How long is this? How is it to be
 interpreted?</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_BYREF">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_RESERVED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_RESERVED</h4>
                                <pre>public static final&nbsp;int VT_RESERVED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_RESERVED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_ILLEGAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_ILLEGAL</h4>
                                <pre>public static final&nbsp;int VT_ILLEGAL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_ILLEGAL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_ILLEGALMASKED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_ILLEGALMASKED</h4>
                                <pre>public static final&nbsp;int VT_ILLEGALMASKED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_ILLEGALMASKED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VT_TYPEMASK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VT_TYPEMASK</h4>
                                <pre>public static final&nbsp;int VT_TYPEMASK</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Variant.VT_TYPEMASK">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LENGTH_UNKNOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LENGTH_UNKNOWN</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_UNKNOWN</pre>
                                <div class="block">Denotes a variant type with a length that is unknown to HPSF yet.
                                </div>
                            </li>
                        </ul>
                        <a name="LENGTH_VARIABLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LENGTH_VARIABLE</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_VARIABLE</pre>
                                <div class="block">Denotes a variant type with a variable length.</div>
                            </li>
                        </ul>
                        <a name="LENGTH_0">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LENGTH_0</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_0</pre>
                                <div class="block">Denotes a variant type with a length of 0 bytes.</div>
                            </li>
                        </ul>
                        <a name="LENGTH_2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LENGTH_2</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_2</pre>
                                <div class="block">Denotes a variant type with a length of 2 bytes.</div>
                            </li>
                        </ul>
                        <a name="LENGTH_4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LENGTH_4</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_4</pre>
                                <div class="block">Denotes a variant type with a length of 4 bytes.</div>
                            </li>
                        </ul>
                        <a name="LENGTH_8">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LENGTH_8</h4>
                                <pre>public static final&nbsp;java.lang.Integer LENGTH_8</pre>
                                <div class="block">Denotes a variant type with a length of 8 bytes.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Variant--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Variant</h4>
                                <pre>public&nbsp;Variant()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getVariantName-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVariantName</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getVariantName(long&nbsp;variantType)</pre>
                                <div class="block">Returns the variant type name associated with a variant type
                                    number.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>variantType</code> - The variant type number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The variant type name or the string "unknown variant type"</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVariantLength-long-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getVariantLength</h4>
                                <pre>public static&nbsp;int&nbsp;getVariantLength(long&nbsp;variantType)</pre>
                                <div class="block">Returns a variant type's length.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>variantType</code> - The variant type number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The length of the variant type's data in bytes. If the length is
                                        variable, i.e. the length of a string, -1 is returned. If HPSF does not
                                        know the length, -2 is returned. The latter usually indicates an
                                        unsupported variant type.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Variant.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/UnsupportedVariantTypeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/VariantBool.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Variant.html" target="_top">Frames</a></li>
        <li><a href="Variant.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
